[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Ovirt-devel] [PATCH] Upgrading the server to work with Rails 2.3.4.



On Wed, Mar 31, 2010 at 03:40:45PM -0400, Darryl L. Pierce wrote:
> 
> Signed-off-by: Darryl L. Pierce <dpierce redhat com>
> ---
>  src/app/controllers/application_controller.rb |    2 +-
>  src/config/environment.rb                     |    2 +-
>  src/config/initializers/new_rails_defaults.rb |    6 +++++-
>  3 files changed, 7 insertions(+), 3 deletions(-)
> 
> diff --git a/src/app/controllers/application_controller.rb b/src/app/controllers/application_controller.rb
> index 7e2041f..4c4666e 100644
> --- a/src/app/controllers/application_controller.rb
> +++ b/src/app/controllers/application_controller.rb
> @@ -25,7 +25,7 @@ class ApplicationController < ActionController::Base
>    # FIXME: once all controller classes include this, remove here
>    include ApplicationService
>  
> -  init_gettext "ovirt"
> +#  init_gettext "ovirt"
>    layout :choose_layout
>  
>    before_filter :is_logged_in, :get_help_section
> diff --git a/src/config/environment.rb b/src/config/environment.rb
> index 913b9f9..9c1a9fa 100644
> --- a/src/config/environment.rb
> +++ b/src/config/environment.rb
> @@ -20,7 +20,7 @@
>  # Be sure to restart your web server when you modify this file.
>  
>  # Specifies gem version of Rails to use when vendor/rails is not present
> -RAILS_GEM_VERSION = '2.3.2' unless defined? RAILS_GEM_VERSION
> +RAILS_GEM_VERSION = '2.3.4' unless defined? RAILS_GEM_VERSION
>  
>  # Bootstrap the Rails environment, frameworks, and default configuration
>  require File.join(File.dirname(__FILE__), 'boot')
> diff --git a/src/config/initializers/new_rails_defaults.rb b/src/config/initializers/new_rails_defaults.rb
> index 8ec3186..acfb93e 100644
> --- a/src/config/initializers/new_rails_defaults.rb
> +++ b/src/config/initializers/new_rails_defaults.rb
> @@ -16,4 +16,8 @@ ActiveSupport.use_standard_json_time_format = true
>  
>  # Don't escape HTML entities in JSON, leave that for the #json_escape helper.
>  # if you're including raw json in an HTML page.
> -ActiveSupport.escape_html_entities_in_json = false
> \ No newline at end of file
> +ActiveSupport.escape_html_entities_in_json = false
> +
> +def PGconn.quote_ident(name)
> +  %("#{name}")
> +end
> -- 
> 1.6.6.1
> 

If nobody has any objections, I'll push this patch tomorrow.

-- 
Darryl L. Pierce, Sr. Software Engineer @ Red Hat, Inc.
Delivering value year after year.
Red Hat ranks #1 in value among software vendors.
http://www.redhat.com/promo/vendor/

Attachment: pgpZT9AUIO9QU.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]